Bug 1451653 - [RFE][HE] - HE storage domain should be treated as a regular storage domain.
Summary: [RFE][HE] - HE storage domain should be treated as a regular storage domain.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.HostedEngine
Version: 4.1.2
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.3.0
: ---
Assignee: Doron Fediuck
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On: 1386497 1445199 1455169 1517810
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-17 08:50 UTC by Yaniv Lavi
Modified: 2018-06-06 13:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-06 13:01:02 UTC
oVirt Team: SLA
dfediuck: ovirt-4.3?
mavital: testing_plan_complete?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1393902 None None None Never
Red Hat Bugzilla 1443819 None None None Never
Red Hat Bugzilla 1444671 None None None Never

Internal Links: 1393902 1443819 1444671

Description Yaniv Lavi 2017-05-17 08:50:07 UTC
Description of problem:
The hosted engine storage is currently limited in many ways (can not take master, can not be the first storage in the system) causing issue is several system flows. 
We want to make this storage into a regular storage in the system and have the minimal amount of HE specific limitations.
The considerations of load on this SD should be moved to documentation.

Comment 1 Yaniv Lavi 2017-05-17 14:37:07 UTC
We should try to define what to note when planning disk placement on this storage to not cause engine downtime as part of this effort.

Comment 2 Allon Mureinik 2017-05-17 22:02:08 UTC
(In reply to Yaniv Dary from comment #1)
> We should try to define what to note when planning disk placement on this
> storage to not cause engine downtime as part of this effort.

HE's domain should be the least favored target for anything the system determines automatically (master domain, memory volumes, etc). Other than that, disk locations are determined by the user.

Comment 3 Yaniv Kaul 2017-07-05 09:22:01 UTC
Moving to SLA. Once we implement the new deployment, we expect it to be a regular domain (with the exception of blocking moving it to maintenance from the Engine - a separate bug exists). This bug is a tracker(?) for all activities needed to remove the special treatments throughout the code.

Comment 4 Yaniv Lavi 2017-11-27 14:33:38 UTC
Why was this moved to 4.3?

Comment 5 Martin Sivák 2017-11-28 12:40:36 UTC
Because it is too late to make sure all flows work as expected in 4.2.0. We will start removing the restrictions for 4.3 and consider backporting all that are working back to 4.2.z.

Comment 6 Yaniv Lavi 2018-06-06 13:01:02 UTC
For now closing.
We will remove more limitation as requested from customer.


Note You need to log in before you can comment on or make changes to this bug.